/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "../libs.h"

#define LANGUAGE_STRING_MAX 512

typedef struct {
  char *name;
  char *value;
} languagevariable_t;

typedef struct {
  char *key;
} languagestring_t;

typedef struct {
  languagestring_t strings[LANGUAGE_STRING_MAX];
  int32_t stringCount;
} language_t;